> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factorize.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit an OAuth connection’s scopes and integration access

> Requires the triggers:write scope.

An interactive owner session is required; bearer tokens cannot call this operation.



## OpenAPI

````yaml /openapi.yaml put /api/v1/access/authorizations/{grantId}/permissions
openapi: 3.1.0
info:
  title: Factorize API
  version: 1.0.0
  description: >-
    Versioned Factorize REST API. See the hosted docs for examples and OAuth
    discovery.
  x-dashboard-auth: >-
    Access-token and authorized-client management and trace replay operations
    require an interactive owner session; all other operations accept a suitably
    scoped bearer token or owner session.
servers:
  - url: https://app.factorize.sh
security:
  - bearerAuth: []
paths:
  /api/v1/access/authorizations/{grantId}/permissions:
    put:
      tags:
        - access
      summary: Edit an OAuth connection’s scopes and integration access
      description: >-
        Requires the triggers:write scope.


        An interactive owner session is required; bearer tokens cannot call this
        operation.
      operationId: put_api_v1_access_authorizations_grantId_permissions
      parameters:
        - name: grantId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    disabledScopes:
                      maxItems: 16
                      type: array
                      items:
                        type: string
                        enum:
                          - team:read
                          - team:write
                          - triggers:read
                          - triggers:write
                          - runs:read
                          - runs:invoke
                          - runs:start
                          - runs:cancel
                          - runs:write
                          - integrations:read
                          - integrations:write
                          - skills:read
                          - skills:write
                          - proxy:use
                          - vm:grant
                          - apps:manage
                    integrationOverrides:
                      type: object
                      propertyNames:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      additionalProperties:
                        anyOf:
                          - type: string
                          - type: boolean
                            const: false
                      description: >-
                        Integration ID to approved epoch-bound scope, or false
                        to block.
                    expectedRevision:
                      type: integer
                      minimum: 0
                      maximum: 9007199254740991
                  required:
                    - disabledScopes
                    - integrationOverrides
                  additionalProperties: false
                - type: object
                  properties:
                    preset:
                      type: string
                      const: team-default
                    expectedRevision:
                      type: integer
                      minimum: 0
                      maximum: 9007199254740991
                  required:
                    - preset
                  additionalProperties: false
      responses:
        '200':
          description: Permissions saved
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                additionalProperties: false
        '400':
          $ref: '#/components/responses/Error400'
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '409':
          $ref: '#/components/responses/Error409'
        '415':
          $ref: '#/components/responses/Error415'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
        '503':
          $ref: '#/components/responses/Error503'
      security:
        - cookieAuth: []
components:
  responses:
    Error400:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error401:
      description: Invalid or revoked credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error403:
      description: Missing scope or required owner session
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error404:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error409:
      description: Operation conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error415:
      description: Unsupported media type; use application/json
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error429:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error500:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error503:
      description: Service unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: OAuth2
    cookieAuth:
      type: apiKey
      in: cookie
      name: factorize_session

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.